document.addEventListener('DOMContentLoaded', () => {
  // Menu toggle functionality
  const menuToggle = document.querySelector('.menu-toggle');
  const navLinks = document.querySelector('.nav-links');
  
  menuToggle?.addEventListener('click', () => {
    navLinks.classList.toggle('active');
  });

  // Dialogue system
  const dialogueText = document.querySelector('.dialogue-text');
  const choices = document.querySelectorAll('.choice');
  
  const dialogues = {
    start: {
      text: '欢迎来到青云门，少侠可愿与我一同探讨修真之道？',
      choices: [
        {
          text: '愿意请教',
          next: 'learn'
        },
        {
          text: '先行告退',
          next: 'leave'
        }
      ]
    },
    learn: {
      text: '很好，修真之路漫长，需要恒心。让我们先从炼气基础开始...',
      choices: []
    },
    leave: {
      text: '道不同不相为谋，后会有期。',
      choices: []
    }
  };

  let currentDialogue = 'start';

  choices.forEach((choice, index) => {
    choice.addEventListener('click', () => {
      const nextDialogue = dialogues[currentDialogue].choices[index].next;
      if (dialogues[nextDialogue]) {
        currentDialogue = nextDialogue;
        dialogueText.textContent = dialogues[nextDialogue].text;
        updateChoices(dialogues[nextDialogue].choices);
      }
    });
  });

  function updateChoices(newChoices) {
    const choicesContainer = document.querySelector('.choices');
    choicesContainer.innerHTML = newChoices.map(choice => 
      `<button class="choice">${choice.text}</button>`
    ).join('');
  }
});
